=== renamed directory 'tests' => 'test'
=== added directory 'test/data'
=== added directory 'test/data/cache'
=== added directory 'test/data/desktop'
=== added file 'test/data/desktop/applications.menu'
--- test/data/desktop/applications.menu	1970-01-01 00:00:00 +0000
+++ test/data/desktop/applications.menu	2007-08-13 08:45:35 +0000
@@ -0,0 +1,152 @@
+<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
+ "http://www.freedesktop.org/standards/menu-spec/1.0/menu.dtd">
+
+<Menu>
+
+  <Name>Applications</Name>
+  <Directory>Applications.directory</Directory>
+
+  <AppDir>.</AppDir>
+
+  <!-- we disable those here, otherwise we see e.g. wine menus -->
+  <!-- Read standard .directory and .desktop file locations -->
+  <!-- <DefaultAppDirs/> -->
+  <!-- Read in overrides and child menus from applications-merged/ -->
+  <!-- <DefaultMergeDirs/> -->
+
+  <DefaultDirectoryDirs/>
+
+  <!-- Accessories submenu -->
+  <Menu>
+    <Name>Accessories</Name>
+    <Directory>Accessories.directory</Directory>
+    <Include>
+      <And>
+        <Category>Utility</Category>
+        <Not>
+          <Category>System</Category>
+        </Not>
+      </And>
+    </Include>
+  </Menu> <!-- End Accessories -->
+
+  <!-- Accessibility submenu -->
+  <Menu>
+    <Name>Accessibility</Name>
+    <Directory>Accessibility.directory</Directory>
+    <Include>
+      <And>
+        <Category>Accessibility</Category>
+        <Not>
+          <Category>Settings</Category>
+        </Not>
+      </And>
+    </Include>
+  </Menu> <!-- End Accessibility -->
+
+  <!-- Development Tools -->
+  <Menu>
+    <Name>Development</Name>
+    <Directory>Development.directory</Directory>
+    <Include>
+      <And>
+        <Category>Development</Category>
+      </And>
+      <Filename>emacs.desktop</Filename>
+    </Include>
+  </Menu> <!-- End Development Tools -->
+
+  <!-- Education -->
+  <Menu>
+    <Name>Education</Name>
+    <Directory>Education.directory</Directory>
+    <Include>
+      <And>
+        <Category>Education</Category>
+      </And>
+    </Include>
+  </Menu> <!-- End Education -->
+
+  <!-- Games -->
+  <Menu>
+    <Name>Games</Name>
+    <Directory>Games.directory</Directory>
+    <Include>
+      <And>
+        <Category>Game</Category>
+      </And>
+    </Include>
+  </Menu> <!-- End Games -->
+
+  <!-- Graphics -->
+  <Menu>
+    <Name>Graphics</Name>
+    <Directory>Graphics.directory</Directory>
+    <Include>
+      <And>
+        <Category>Graphics</Category>
+      </And>
+    </Include>
+  </Menu> <!-- End Graphics -->
+
+  <!-- Internet -->
+  <Menu>
+    <Name>Internet</Name>
+    <Directory>Internet.directory</Directory>
+    <Include>
+      <And>
+        <Category>Network</Category>
+      </And>
+    </Include>
+  </Menu>   <!-- End Internet -->
+
+  <!-- Multimedia -->
+  <Menu>
+    <Name>Multimedia</Name>
+    <Directory>Multimedia.directory</Directory>
+    <Include>
+      <And>
+        <Category>AudioVideo</Category>
+      </And>
+    </Include>
+  </Menu>   <!-- End Multimedia -->
+
+  <!-- Office -->
+  <Menu>
+    <Name>Office</Name>
+    <Directory>Office.directory</Directory>
+    <Include>
+      <And>
+        <Category>Office</Category>
+      </And>
+    </Include>
+  </Menu> <!-- End Office -->
+
+  <!-- System Tools-->
+  <Menu>
+    <Name>System</Name>
+    <Directory>System-Tools.directory</Directory>
+    <Include>
+      <And>
+        <Category>System</Category>
+<!--        <Not><Category>Settings</Category></Not> -->
+      </And>
+    </Include>
+  </Menu>   <!-- End System Tools -->
+
+  <!-- Other -->
+  <Menu>
+    <Name>Other</Name>
+    <Directory>Other.directory</Directory>
+    <OnlyUnallocated/>
+    <Include>
+      <And>
+        <Category>Application</Category>
+        <Not><Category>Core</Category></Not>
+<!--        <Not><Category>Settings</Category></Not> -->
+      </And>
+    </Include>
+  </Menu> <!-- End Other -->
+
+
+</Menu> <!-- End Applications -->

=== added file 'test/data/desktop/gdebi.desktop'
--- test/data/desktop/gdebi.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gdebi.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,56 @@
+[Desktop Entry]
+X-AppInstall-Package=gdebi
+X-AppInstall-Popcon=2967
+X-AppInstall-Section=main
+
+Name=GDebi Package Installer
+Name[sv]=GDebi paketinstallatör
+GenericName=Package Installer
+GenericName[bn]=প্যাকেজ ইনস্টলার
+GenericName[cs]=Nástroj pro instalaci balíčků
+GenericName[de]=Paket-Installer
+GenericName[es]=Instalador de paquetes
+GenericName[fi]=Paketinasentaja
+GenericName[fr]=Installateur de paquets
+GenericName[hr]=Paketni instaler
+GenericName[hu]=Csomagtelepítő
+GenericName[id]=Penginstal Paket
+GenericName[it]=Installatore pacchetto
+GenericName[ko]=패키지 설치 프로그램
+GenericName[ku]=Sazgera Paketan
+GenericName[nl]=Pakketinstallatie
+GenericName[pl]=Instalator pakietów
+GenericName[pt]=Instalador de Pacotes
+GenericName[pt_BR]=Instalador de Pacotes
+GenericName[ru]=Установщик пакетов
+GenericName[sk]=Inštalátor balíkov
+GenericName[sv]=Paketinstallatör
+Comment=Install and view software packages
+Comment[bn]=সফটওয়্যার প্যাকেজ ইনস্টল করুন এবং দেখুন
+Comment[cs]=Instalace a prohlížení balíčků
+Comment[de]=Software-Pakete installieren und betrachten
+Comment[es]=Instalar y ver paquetes de software
+Comment[fi]=Asenna ja katsele ohjelmistopaketteja
+Comment[fr]=Installer et lister les paquets logiciels
+Comment[hr]=Instaliraj i pregledaj pakete
+Comment[hu]=Szoftvercsomagok telepítése és megjelenítése
+Comment[id]=Instal dan tilik paket perangkat lunak
+Comment[it]=Installa e visualizza pacchetti software
+Comment[ko]=소프트웨어 패키지를 설치하고 보기
+Comment[ku]=Paketên nivîsbariyê saz bike û lê binêre
+Comment[nl]=Softwarepakketten installeren en bekijken
+Comment[pl]=Instaluj i przeglądaj pakiety oprogramowania
+Comment[pt]=Instalar e ver pacotes de software
+Comment[pt_BR]=Instalar e ver pacotes
+Comment[ru]=Установить и просмотреть пакеты программ
+Comment[sk]=Zobraziť a nainštalovať softvérové balíky
+Comment[sv]=Installera och visa programvarupaket
+Exec=gdebi-gtk
+Icon=gnome-mime-application-x-deb
+Terminal=false
+Type=Application
+Encoding=UTF-8
+Categories=Application;System;
+MimeType=application/x-deb;application/x-debian-package;
+NoDisplay=true
+X-Ubuntu-Gettext-Domain=gdebi

=== added file 'test/data/desktop/gedit.desktop'
--- test/data/desktop/gedit.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gedit.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,176 @@
+[Desktop Entry]
+X-AppInstall-Package=gedit
+X-AppInstall-Popcon=10644
+X-AppInstall-Section=main
+
+Encoding=UTF-8
+Name=Text Editor
+Name[af]=Teksredigeerder
+Name[am]=የጽሑፍ ማቀናጃ
+Name[ar]=محرّر نصوص
+Name[az]=Mətn Editoru
+Name[be]=Рэдактар тэкстаў
+Name[bg]=Текстов редактор
+Name[bn]=টেক্সট এডিটার
+Name[bn_IN]=টেক্সট এডিটার
+Name[br]=Aozer Skridoù
+Name[bs]=Tekst editor
+Name[ca]=Editor de text
+Name[cs]=Textový editor
+Name[cy]=Golygydd Testun
+Name[da]=Tekstredigering
+Name[de]=Texteditor
+Name[dz]=ཚིག་ཡིག་ཞུན་དགཔ།
+Name[el]=Επεξεργαστής Κειμένου
+Name[en_CA]=Text Editor
+Name[en_GB]=Text Editor
+Name[es]=Editor de textos
+Name[et]=Tekstiredaktor
+Name[eu]=Testu-editorea
+Name[fa]=ویرایشگر متن
+Name[fi]=Tekstieditori
+Name[fr]=Éditeur de texte
+Name[ga]=Eagarthóir Téacs
+Name[gl]=Editor de texto
+Name[gu]=લખાણ સંપાદક
+Name[he]=עורך טקסט
+Name[hi]=पाठ संपादक
+Name[hr]=Uređivač teksta
+Name[hu]=Szövegszerkesztő
+Name[hy]=Տեքստի խմբագրիչ
+Name[id]=Penyunting Berkas Teks
+Name[is]=Texta Ritill
+Name[it]=Editor di testo
+Name[ja]=テキスト・エディタ
+Name[ka]=ტექსტის რედაქტორი
+Name[kn]=ಪಠ್ಯ ಸಂಪಾದಕ
+Name[ko]=텍스트 편집기
+Name[ku]=Edîtora Nivîsê
+Name[lt]=Tekstų redaktorius
+Name[lv]=Teksta Redaktors
+Name[mg]=Fanovana lahabolana
+Name[mk]=Уредувач за текст
+Name[ml]=രചന ചിട്ടപ്പെടുത്തല്‍‌ ഉപാധി
+Name[mn]=Текст боловсруулагч
+Name[mr]=पाठ्य संपादक
+Name[ms]=Editor Teks
+Name[nb]=Tekstredigering
+Name[ne]=पाठ संपादक
+Name[nl]=Tekst-editor
+Name[nn]=Tekstredigering
+Name[oc]=Editor de tèxt
+Name[or]=ପାଠ୍ଯ ସମ୍ପାଦକ
+Name[pa]=ਪਾਠ ਸੰਪਾਦਕ
+Name[pl]=Edytor tekstu
+Name[pt]=Editor de Texto
+Name[pt_BR]=Editor de Texto
+Name[ro]=Editor de text
+Name[ru]=Текстовый редактор
+Name[rw]=Umuhinduzi w'inyandiko
+Name[sk]=Textový editor
+Name[sl]=Urejevalnik besedil
+Name[sq]=Editues teksti
+Name[sr]=Вилењакова бележница
+Name[sr@Latn]=Vilenjakova beležnica
+Name[sv]=Textredigerare
+Name[ta]=உரை திருத்தி
+Name[th]=เครื่องมือแก้ไขข้อความ
+Name[tk]=Metin Editçi
+Name[tr]=Metin Düzenleyici
+Name[uk]=Текстовий редактор
+Name[vi]=Bộ soạn thảo văn bản
+Name[wa]=Aspougneu di tecse
+Name[xh]=Umhleli wombhalo
+Name[zh_CN]=文本编辑器
+Name[zh_HK]=文字編輯器
+Name[zh_TW]=文字編輯器
+Comment=Edit text files
+Comment[af]=Redigeer tekslêers
+Comment[am]=የጽሑፍ ፋይሎች ያስተካክሉ
+Comment[ar]=حرّر الملفات النصية
+Comment[az]=Mətn fayllarını redaktə edin
+Comment[be]=Зьмяніць тэкставыя файлы
+Comment[bg]=Редактиране на текстови файлове
+Comment[bn]=টেক্সট ফাইল সম্পাদনা
+Comment[bn_IN]=টেক্সট ফাইল সম্পাদনা
+Comment[br]=Kemmañ restroù-skrid
+Comment[bs]=Izmijeni tekstualne datoteke
+Comment[ca]=Editeu fitxers de text
+Comment[cs]=Úprava textových souborů
+Comment[cy]=Golygu ffeiliau testun
+Comment[da]=Redigér tekstfiler
+Comment[de]=Textdateien bearbeiten
+Comment[dz]=ཚིག་ཡིག་ཡིག་སྣོད་ ཞུན་དག་རྐྱབས།
+Comment[el]=Επεξεργασία αρχείων κειμένου
+Comment[en_CA]=Edit text files
+Comment[en_GB]=Edit text files
+Comment[es]=Edite archivos de texto
+Comment[et]=Tekstifailide redigeerimine
+Comment[eu]=Editatu testu-fitxategiak
+Comment[fa]=ویرایش پرونده‌های متنی
+Comment[fi]=Muokkaa tekstitiedostoja
+Comment[fr]=Édite des fichiers texte
+Comment[ga]=Eagar comhad Téacs
+Comment[gl]=Editar ficheiros de texto
+Comment[gu]=લખાણ ફાઇલોમાં ફેરફાર કરો
+Comment[he]=ערוך קבצי טקסט
+Comment[hi]=पाठ फ़ाइलें संपादित करें
+Comment[hr]=Uređivanje tekstualne datoteke
+Comment[hu]=Szövegfájlok szerkesztése
+Comment[id]=Edit berkas teks
+Comment[it]=Modifica file di testo
+Comment[ja]=テキスト形式のファイルを編集します
+Comment[ka]=ტექსტური ფაილების რედაქტირება
+Comment[kn]=ಪಠ್ಯ ಕಡತಗಳನ್ನು ಸಂಪಾದಿಸು
+Comment[ko]=텍스트 파일을 편집합니다
+Comment[ku]=Pelên nivîsê sererast bike
+Comment[lt]=Redaguoti tekstinius failus
+Comment[lv]=Rediģēt teksta failus
+Comment[mg]=Hanova raki-dahabolana
+Comment[mk]=Уредувај текстуални датотеки
+Comment[ml]=ടെക്സ്റ്റ് ഫയലുകളില്‍ മാറ്റം വരുത്തുക 
+Comment[mn]=Текст файл боловсруулах
+Comment[mr]=पाठ्य फाइल संपादित करा
+Comment[ms]=Edit fail teks
+Comment[nb]=Rediger tekstfiler
+Comment[ne]=पाठ फाइललाई संशोधन गर्नुहोस्
+Comment[nl]=Tekstbestanden bewerken
+Comment[nn]=Rediger tekstfiler
+Comment[oc]=Editar de fichièrs tèxt
+Comment[or]=ପାଠ୍ଯ ଫାଇଲଗୁଡ଼ିକୁ ସମ୍ପାଦନ କରନ୍ତୁ
+Comment[pa]=ਪਾਠ ਫਾਇਲਾਂ ਸੋਧੋ
+Comment[pl]=Edytor plików tekstowych
+Comment[pt]=Editar ficheiros de texto
+Comment[pt_BR]=Edite arquivos de texto
+Comment[ro]=Editare fişiere text
+Comment[ru]=Редактор текстовых файлов
+Comment[sk]=Úprava textových súborov
+Comment[sl]=Urejanje datotek z besedili
+Comment[sq]=Përpuno files teksti
+Comment[sr]=Уређивач текстуалних докумената
+Comment[sr@Latn]=Uređivač tekstualnih dokumenata
+Comment[sv]=Redigera textfiler
+Comment[ta]=உரை கோப்புகளை திருத்தவும் 
+Comment[th]=แก้ไขแฟ้มข้อความ
+Comment[tk]=Metin faýllary editle
+Comment[tr]=Metin dosyalarını düzenle
+Comment[uk]=Редактор текстових файлів
+Comment[vi]=Soạn thảo tập tin văn bản
+Comment[wa]=Asspougnî des fitchîs tecses
+Comment[xh]=Hlela iifayili zombhalo
+Comment[zh_CN]=编辑文本文件
+Comment[zh_HK]=編輯文字檔
+Comment[zh_TW]=編輯文字檔
+Exec=gedit %U
+Terminal=false
+Type=Application
+StartupNotify=true
+MimeType=text/plain;
+Icon=accessories-text-editor
+Categories=GNOME;GTK;Utility;TextEditor;
+X-GNOME-DocPath=gedit/gedit.xml
+X-GNOME-Bugzilla-Bugzilla=GNOME
+X-GNOME-Bugzilla-Product=gedit
+X-GNOME-Bugzilla-Component=general
+X-GNOME-Bugzilla-Version=2.18.2
+X-GNOME-Bugzilla-ExtraInfoScript=/usr/lib/gedit-2/gedit-bugreport.sh

=== added file 'test/data/desktop/gstreamer-bad.desktop'
--- test/data/desktop/gstreamer-bad.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gstreamer-bad.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Comment=Codecs to play
+Name=GStreamer plugins for mms, wavpack, quicktime, musepack, aac, xvid, mpeg2, faad
+Encoding=UTF-8
+Terminal=false
+Type=Application
+Categories=GNOME;Application;Multimedia;AudioVideo
+X-AppInstall-Package=gstreamer0.10-plugins-bad
+X-AppInstall-Popcon=84
+X-AppInstall-Section=main
+X-AppInstall-Codecs=0.10:decoder-video/x-nuv;0.10:element-wavpackdec;0.10:element-realaudiodec;0.10:decoder-audio/x-musepack;0.10:element-interleave;0.10:element-speed;0.10:element-multifilesrc;0.10:encoder-video/x-mve;0.10:element-lpwsinc;0.10:element-spectrum;0.10:decoder-video/x-mve;0.10:decoder-audio/x-ttafile;0.10:decoder-application/x-rtp, payload=(int)[ 96, 127 ], media=(string){ audio, video }, encoding-name=(string){ X-QT, X-QUICKTIME };0.10:element-multifilesink;0.10:encoder-audio/x-wavpack, framed=(boolean)true;0.10:element-freeze;0.10:urisource-mmst;0.10:decoder-video/x-cdxa;0.10:decoder-audio/x-mod;0.10:decoder-audio/x-pn-realaudio;0.10:element-mvemux;0.10:decoder-video/x-vmnc, version=(int)1;0.10:element-rfbsrc;0.10:decoder-application/x-3gp;0.10:decoder-audio/x-tta;0.10:element-mvedemux;0.10:element-deinterleave;0.10:element-modplug;0.10:element-xingmux;0.10:element-mpegvideoparse;0.10:decoder-audio/x-wavpack, framed=(boolean)true;0.10:element-vmncdec;0.10:element-cdxaparse;0.10:decoder-video/x-h264;0.10:encoder-application/x-yuv4mpeg, y4mversion=(int)2;0.10:element-sdlaudiosink;0.10:element-dvbsrc;0.10:element-qtdemux;0.10:element-ttadec;0.10:element-nuvdemux;0.10:urisource-mms;0.10:decoder-audio/x-sipro;0.10:element-bpwsinc;0.10:decoder-audio/x-nsf;0.10:element-wavpackenc;0.10:element-sdlvideosink;0.10:element-y4menc;0.10:element-iir;0.10:element-rtpxqtdepay;0.10:element-faad;0.10:decoder-audio/mpeg, mpegversion=(int){ 2, 4 };0.10:element-videocrop;0.10:decoder-audio/x-wavpack, framed=(boolean)false;0.10:decoder-audio/x-wavpack-correction, framed=(boolean)false;0.10:urisource-mmsu;0.10:element-h264parse;0.10:element-appsink;0.10:decoder-video/mpeg, mpegversion=(int)[ 1, 2 ], parsed=(boolean)false, systemstream=(boolean)false;0.10:element-appsrc;0.10:element-ttaparse;0.10:element-rganalysis;0.10:element-deinterlace;0.10:element-mmssrc;0.10:urisource-mmsh;0.10:element-nsfdec;0.10:element-videoparse;0.10:element-wavpackparse;0.10:decoder-audio/x-m4a;0.10:element-jackaudiosink;0.10:element-musepackdec;0.10:decoder-video/quicktime;0.10:element-realvideodec;0.10:decoder-video/x-pn-realvideo, rmversion=(int)[ 2, 4 ]

=== added file 'test/data/desktop/gstreamer-ffmpeg.desktop'
--- test/data/desktop/gstreamer-ffmpeg.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gstreamer-ffmpeg.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=GStreamer ffmpeg video plugin
+Comment=Codecs to play mpeg, divx, mpeg4, ac3, wmv and asf files
+Terminal=false
+Type=Application
+Categories=GNOME;Application;Multimedia;AudioVideo;
+X-AppInstall-Package=gstreamer0.10-ffmpeg
+X-AppInstall-Popcon=0
+X-AppInstall-Section=main
+
+X-AppInstall-Codecs=0.10:decoder-video/x-asus, asusversion=(int)1;0.10:element-ffdec_adpcm_sbpro_4;0.10:decoder-application/x-gst_ff-vmd;0.10:decoder-video/x-asus, asusversion=(int)2;0.10:element-ffdemux_amr;0.10:element-ffdemux_gxf;0.10:element-ffdec_xan_wc3;0.10:element-ffdec_adpcm_sbpro_3;0.10:decoder-audio/x-adpcm, layout=(string)microsoft;0.10:decoder-audio/x-au;0.10:element-ffdemux_ingenient;0.10:decoder-application/x-shockwave-flash;0.10:element-ffdec_dvvideo;0.10:decoder-audio/x-adpcm, layout=(string)yamaha;0.10:element-ffdec_asv1;0.10:element-ffdec_mp3adu;0.10:decoder-image/bmp;0.10:element-ffdemux_gif;0.10:element-postproc_linipoldeint;0.10:decoder-video/x-vp5;0.10:decoder-application/x-id3;0.10:decoder-video/x-4xm;0.10:decoder-video/x-vp6;0.10:element-ffdec_huffyuv;0.10:decoder-video/x-vp3;0.10:element-postproc_autolevels;0.10:element-ffdec_adpcm_sbpro_2;0.10:element-ffdemux_RoQ;0.10:decoder-audio/x-adpcm, layout=(string)4xm;0.10:decoder-video/x-cirrus-logic-accupak;0.10:decoder-audio/x-tta;0.10:element-ffdemux_aiff;0.10:decoder-application/x-gst_ff-sol;0.10:decoder-video/x-cinepak;0.10:element-ffdemux_flv;0.10:decoder-application/x-pn-realmedia, systemstream=(boolean)true;0.10:decoder-application/x-gst_ff-nut;0.10:element-ffdec_qtrle;0.10:decoder-audio/x-qdm2;0.10:element-ffdec_ffvhuff;0.10:element-ffdec_snow;0.10:element-postproc_hdeblock;0.10:decoder-video/x-gst_ff-cavs;0.10:element-ffdemux_wc3movie;0.10:decoder-audio/x-gst_ff-vmdaudio;0.10:decoder-application/x-gst_ff-daud;0.10:decoder-application/x-gst_ff-nsv;0.10:decoder-application/x-gst_ff-psxstr;0.10:element-postproc_default;0.10:decoder-application/x-yuv4mpeg, y4mversion=(int)1;0.10:element-ffdec_rpza;0.10:element-ffdec_vcr1;0.10:decoder-audio/x-adpcm, layout=(string)dk3;0.10:element-postproc_x1vdeblock;0.10:element-ffdec_wmv1;0.10:decoder-video/x-gst_ff-loco;0.10:element-ffdec_sol_dpcm;0.10:decoder-audio/x-dpcm, layout=(string)roq;0.10:decoder-audio/x-adpcm, layout=(string)dk4;0.10:decoder-audio/x-adpcm, layout=(string)ct;0.10:decoder-audio/x-ttafile;0.10:element-postproc_avdeblock;0.10:decoder-video/x-gst_ff-fraps;0.10:element-ffdec_loco;0.10:element-ffdec_adpcm_adx;0.10:decoder-video/x-dv, systemstream=(boolean)true;0.10:decoder-audio/x-alac;0.10:decoder-video/x-zlib;0.10:decoder-video/mpegts, systemstream=(boolean)true;0.10:decoder-audio/x-wav;0.10:decoder-audio/x-adpcm, layout=(string)smjpeg;0.10:element-ffdec_roq_dpcm;0.10:element-ffdec_interplay_dpcm;0.10:element-ffdec_zlib;0.10:decoder-video/x-gst_ff-xl;0.10:element-ffdec_qdm2;0.10:element-ffdec_cyuv;0.10:element-ffdec_sp5x;0.10:decoder-video/x-gst_ff-ffvhuff;0.10:element-ffdec_mp3on4;0.10:element-ffdec_shorten;0.10:decoder-application/x-gst_ff-RoQ;0.10:element-ffdemux_yuv4mpegpipe;0.10:decoder-audio/x-adpcm, layout=(string)quicktime;0.10:decoder-video/x-gst_ff-idcinvideo;0.10:decoder-video/x-msmpeg, msmpegversion=(int)42;0.10:decoder-video/x-msmpeg, msmpegversion=(int)43;0.10:decoder-video/x-msmpeg, msmpegversion=(int)41;0.10:element-ffdec_qdraw;0.10:element-postproc_forcequant;0.10:decoder-video/x-msvideocodec, msvideoversion=(int)1;0.10:decoder-video/x-ms-asf;0.10:element-ffdemux_mov_mp4_m4a_3gp_3g2_mj2;0.10:decoder-video/x-indeo, indeoversion=(int)3;0.10:decoder-video/mpeg, mpegversion=(int)[ 1, 2 ], systemstream=(boolean)false;0.10:decoder-video/sp5x;0.10:element-postproc_cubicipoldeint;0.10:element-ffdec_mdec;0.10:element-ffdemux_wsaud;0.10:decoder-video/x-gst_ff-interplayvideo;0.10:element-ffdec_h261;0.10:element-ffdec_h263;0.10:element-ffdec_h264;0.10:decoder-audio/x-adpcm, layout=(string)swf;0.10:element-ffdemux_mxf;0.10:element-ffdec_msrle;0.10:decoder-application/x-gst_ff-avs;0.10:decoder-application/x-gst_ff-smk;0.10:element-postproc_vdeblock;0.10:element-ffdec_wnv1;0.10:decoder-audio/x-adpcm, layout=(string)xa;0.10:decoder-video/x-compressed-yuv;0.10:decoder-video/x-rle, layout=(string)microsoft;0.10:decoder-video/x-apple-video;0.10:element-ffdec_tta;0.10:decoder-video/x-xvid;0.10:decoder-audio/x-gst_ff-sonic;0.10:element-ffdec_g726;0.10:element-ffdec_ffv1;0.10:element-ffdemux_wav;0.10:decoder-video/x-mszh;0.10:element-postproc_ffmpegdeint;0.10:decoder-application/mxf;0.10:decoder-video/x-gst_ff-avs;0.10:decoder-application/x-gst_ff-ea;0.10:element-postproc_linblenddeint;0.10:decoder-application/x-gst_ff-amr;0.10:element-ffdemux_mm;0.10:element-ffdec_adpcm_xa;0.10:decoder-video/x-ffv, ffvversion=(int)1;0.10:decoder-audio/x-gst_ff-mp3on4;0.10:element-ffdec_truespeech;0.10:decoder-audio/x-adpcm, layout=(string)ea;0.10:element-ffdec_png;0.10:decoder-audio/x-shorten;0.10:decoder-video/x-truemotion, trueversion=(int)1;0.10:element-ffdemux_voc;0.10:element-ffdec_vp3;0.10:decoder-audio/x-wma, wmaversion=(int)1, block_align=(int)[ 0, 2147483647 ], bitrate=(int)[ 0, 2147483647 ];0.10:element-ffdec_vp5;0.10:element-ffdec_h263i;0.10:element-ffdec_vp6;0.10:element-ffdemux_tta;0.10:element-postproc_ahdeblock;0.10:element-ffdec_mszh;0.10:decoder-video/x-gst_ff-snow;0.10:element-ffdec_svq1;0.10:element-ffdec_svq3;0.10:element-ffdec_mpeg4;0.10:element-ffdec_cljr;0.10:element-ffdec_rv20;0.10:decoder-application/x-gst_ff-wc3movie;0.10:element-ffdec_truemotion1;0.10:decoder-application/x-gst_ff-mov_mp4_m4a_3gp_3g2_mj2;0.10:element-ffdec_truemotion2;0.10:decoder-video/x-theora;0.10:element-ffdec_zmbv;0.10:element-postproc_mediandeint;0.10:element-ffdemux_asf;0.10:element-ffdemux_ipmovie;0.10:element-ffdec_vp6f;0.10:decoder-video/x-dv, systemstream=(boolean)false;0.10:decoder-image/gif;0.10:element-ffdemux_dv;0.10:decoder-audio/x-gst_ff-ws_snd1;0.10:decoder-video/x-matroska;0.10:element-ffdemux_mpegts;0.10:decoder-application/gxf;0.10:element-ffdemux_ea;0.10:decoder-audio/x-dpcm, layout=(string)xan;0.10:decoder-video/x-intel-h263, variant=(string)intel;0.10:decoder-application/x-gst_ff-nuv;0.10:decoder-audio/x-gst_ff-mp3adu;0.10:element-ffdec_smc;0.10:element-ffdec_camstudio;0.10:element-ffdec_real_144;0.10:element-ffdec_mpegvideo;0.10:element-ffdec_flv;0.10:decoder-video/x-smc;0.10:decoder-video/x-divx, divxversion=(int)3;0.10:decoder-video/x-ultimotion;0.10:element-ffdec_fraps;0.10:element-postproc_dering;0.10:decoder-application/x-gst_ff-mmf;0.10:element-ffdec_indeo3;0.10:element-ffdec_indeo2;0.10:decoder-video/x-ati-vcr, vcrversion=(int)1;0.10:element-ffdec_mace3;0.10:element-ffdec_adpcm_ea;0.10:element-ffdec_mace6;0.10:decoder-application/x-gst_ff-ffm;0.10:element-ffdec_adpcm_ms;0.10:element-ffdec_adpcm_ima_wav;0.10:decoder-audio/x-mace, maceversion=(int)3;0.10:element-ffdec_vc1;0.10:decoder-audio/x-mace, maceversion=(int)6;0.10:decoder-video/x-gst_ff-flic;0.10:element-ffdemux_swf;0.10:decoder-video/x-gst_ff-camstudio;0.10:element-ffdec_bmp;0.10:element-ffvideoscale;0.10:decoder-audio/x-pn-realaudio, raversion=(int)2;0.10:decoder-video/x-3ivx;0.10:decoder-video/x-msvideo;0.10:decoder-audio/x-pn-realaudio, raversion=(int)1;0.10:decoder-video/x-h264;0.10:decoder-application/x-gst_ff-mm;0.10:element-ffdemux_matroska;0.10:decoder-audio/x-aiff;0.10:decoder-audio/x-wma, wmaversion=(int)2, block_align=(int)[ 0, 2147483647 ], bitrate=(int)[ 0, 2147483647 ];0.10:decoder-video/x-h261;0.10:decoder-audio/x-pn-realaudio, raversion=(int)8;0.10:element-ffdec_cavs;0.10:element-ffdemux_sol;0.10:decoder-video/x-huffyuv;0.10:decoder-audio/x-dpcm, layout=(string)sol;0.10:decoder-image/png;0.10:element-ffdec_mjpeg;0.10:element-ffdemux_nsv;0.10:element-ffdec_vmdaudio;0.10:decoder-audio/x-adpcm, layout=(string)adx;0.10:decoder-audio/x-adpcm, layout=(string)g726;0.10:decoder-video/x-gst_ff-vmdvideo;0.10:element-ffdec_cook;0.10:element-ffdec_camtasia;0.10:element-ffdemux_ffm;0.10:decoder-video/x-indeo, indeoversion=(int)2;0.10:element-postproc_x1hdeblock;0.10:element-ffdemux_vmd;0.10:decoder-video/x-flash-screen;0.10:element-ffdemux_nut;0.10:element-ffdec_msmpeg4;0.10:element-ffdemux_nuv;0.10:element-ffdec_adpcm_4xm;0.10:decoder-application/x-gst_ff-ipmovie;0.10:element-ffdec_wmv2;0.10:element-ffdec_wmv3;0.10:decoder-audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ];0.10:decoder-video/x-rle, layout=(string)quicktime;0.10:decoder-video/x-gst_ff-zmbv;0.10:decoder-audio/x-flac;0.10:decoder-video/x-vp6-flash;0.10:decoder-audio/x-gst_ff-truespeech;0.10:element-ffdec_vqavideo;0.10:element-ffdemux_4xm;0.10:element-ffdemux_mpeg;0.10:decoder-video/x-gst_ff-aasc;0.10:element-ffdec_cinepak;0.10:element-ffdec_avs;0.10:element-ffdec_sonic;0.10:element-ffdec_ultimotion;0.10:decoder-application/x-gst_ff-film_cpk;0.10:decoder-video/mpeg, mpegversion=(int)4, systemstream=(boolean)false;0.10:element-ffdec_asv2;0.10:element-ffdemux_avs;0.10:decoder-video/x-qdrw;0.10:element-ffdemux_flic;0.10:element-ffdec_ws_snd1;0.10:decoder-video/x-divx, divxversion=(int)[ 4, 5 ];0.10:element-postproc_lowpass5;0.10:decoder-video/x-xan, wcversion=(int)3;0.10:element-ffdemux_avi;0.10:decoder-video/x-truemotion, trueversion=(int)2;0.10:element-ffdec_8bps;0.10:element-ffdemux_daud;0.10:element-postproc_tmpnoise;0.10:decoder-video/x-camtasia;0.10:element-ffdec_idcinvideo;0.10:element-ffdeinterlace;0.10:element-ffdec_mmvideo;0.10:element-ffdec_adpcm_ima_dk3;0.10:decoder-video/x-gst_ff-mdec;0.10:decoder-video/x-wmv, wmvversion=(int)3;0.10:decoder-video/x-wmv, wmvversion=(int)2;0.10:decoder-video/x-wmv, wmvversion=(int)1;0.10:decoder-video/x-h263, variant=(string)itu;0.10:element-ffdec_msmpeg4v1;0.10:decoder-video/x-pn-realvideo, systemstream=(boolean)false, rmversion=(int)2;0.10:decoder-video/x-pn-realvideo, systemstream=(boolean)false, rmversion=(int)1;0.10:decoder-video/x-gst_ff-vqavideo;0.10:element-ffdec_adpcm_yamaha;0.10:element-ffdec_alac;0.10:decoder-video/x-gst_ff-8bps;0.10:element-ffdec_adpcm_ima_ws;0.10:element-ffdec_mpeg2video;0.10:decoder-audio/x-adpcm, layout=(string)sbpro4;0.10:element-ffdec_flic;0.10:decoder-video/x-gst_ff-mmvideo;0.10:decoder-application/x-gst_ff-voc;0.10:decoder-audio/x-adpcm, layout=(string)sbpro3;0.10:decoder-audio/x-adpcm, layout=(string)sbpro2;0.10:decoder-application/x-gst_ff-ingenient;0.10:element-ffdec_flac;0.10:element-ffdec_real_288;0.10:element-ffdemux_psxstr;0.10:element-ffdec_4xm;0.10:element-ffdec_xan_dpcm;0.10:element-ffdemux_mp3;0.10:element-ffdec_roqvideo;0.10:element-ffdec_aasc;0.10:element-ffdemux_film_cpk;0.10:element-ffdec_msvideo1;0.10:decoder-video/x-flv;0.10:decoder-video/x-fli;0.10:decoder-video/x-gst_ff-wnv1;0.10:element-ffdec_vmdvideo;0.10:decoder-audio/x-adpcm, layout=(string)westwood;0.10:element-ffdemux_wsvqa;0.10:element-ffdemux_mmf;0.10:element-ffdec_xl;0.10:element-ffdec_rv10;0.10:decoder-video/x-svq, svqversion=(int)3;0.10:element-ffdec_theora;0.10:decoder-video/x-svq, svqversion=(int)1;0.10:element-ffdec_mp3;0.10:element-ffdemux_rm;0.10:element-ffdec_adpcm_ima_dk4;0.10:element-ffdemux_smk;0.10:decoder-audio/x-adpcm, layout=(string)dvi;0.10:element-ffdec_adpcm_ima_qt;0.10:decoder-video/x-flash-video, flvversion=(int)1;0.10:decoder-image/jpeg;0.10:element-ffdec_adpcm_ima_smjpeg;0.10:decoder-video/x-gst_ff-roqvideo;0.10:decoder-application/x-gst_ff-wsaud;0.10:element-ffdec_adpcm_ct;0.10:element-ffdec_msmpeg4v2;0.10:element-ffdec_interplayvideo;0.10:element-ffdec_wmav2;0.10:element-ffdemux_au;0.10:decoder-application/x-gst_ff-idcin;0.10:element-ffdec_wmav1;0.10:element-ffdemux_idcin;0.10:decoder-application/x-gst_ff-wsvqa;0.10:decoder-audio/x-dpcm, layout=(string)interplay;0.10:element-ffdec_adpcm_swf;0.10:element-ffdec_flashsv;0.10:decoder-video/mpeg, systemstream=(boolean)true

=== added file 'test/data/desktop/gstreamer-fluendo-mp3.desktop'
--- test/data/desktop/gstreamer-fluendo-mp3.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gstreamer-fluendo-mp3.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Comment=Codecs to play MP3 Files
+Name=GStreamer Fluendo MP3 Plugin
+Encoding=UTF-8
+Terminal=false
+Type=Application
+Categories=GNOME;Application;Multimedia;AudioVideo;
+X-AppInstall-Package=gstreamer0.10-fluendo-mp3
+X-AppInstall-Popcon=0
+X-AppInstall-Section=main
+X-AppInstall-Codecs=0.10:element-flump3dec;0.10:decoder-audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]

=== added file 'test/data/desktop/gstreamer-properties.desktop'
--- test/data/desktop/gstreamer-properties.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gstreamer-properties.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,149 @@
+[Desktop Entry]
+X-AppInstall-Package=gnome-media
+X-AppInstall-Popcon=6767
+X-AppInstall-Section=main
+
+Encoding=UTF-8
+Name=Multimedia Systems Selector
+Name[ar]=منتقي نظم الوسائط المتعدّدة
+Name[az]=Multimediya Sistemi Seçicisi
+Name[be]=Вылучальнік мультымэдыйных сыстэмаў
+Name[bg]=Избор на мултимедийни системи
+Name[bn]=মাল্টিমিডিয়া সিস্টেম নির্বাচক
+Name[bn_IN]=মাল্টিমিডিয়া সিস্টেম নির্বাচক
+Name[bs]=Izbornik multimedijskog sistema
+Name[ca]=Selector de sistemes multimèdia
+Name[cs]=Výběr systému multimédií
+Name[cy]=Dewisydd Systemau Amlgyfrwng
+Name[da]=Multimediesystem
+Name[de]=Multimedia-System
+Name[dz]=སྣ་མང་བརྡ་དོན་རིམ་ལུགས་སེལ་བྱེད།
+Name[el]=Επιλογέας Συστημάτων Πολυμέσων
+Name[en_CA]=Multimedia Systems Selector
+Name[en_GB]=Multimedia Systems Selector
+Name[es]=Selector de sistemas multimedia
+Name[et]=Multimeediasüsteemi valija
+Name[eu]=Multimedia sistema hautatzailea
+Name[fa]=انتخاب‌گر سیستم‌های چندرسانه‌ای
+Name[fi]=Multimediajärjestelmien valitsimet
+Name[fr]=Sélecteur de systèmes multimédia
+Name[gl]=Selector de sistemas multimedia
+Name[gu]=મલ્ટીમીડિયા સિસ્ટમ પસંદગીકારક
+Name[he]=בוחר מערכות מולטימדיה
+Name[hi]=मल्टीमीडिया तंत्र चयनक
+Name[hr]=Izbornik multimedijskog sustava
+Name[hu]=Multimédiarendszer-választó
+Name[id]=Pemilih Sistem Multimedia
+Name[it]=Selettore di sistemi multimediali
+Name[ja]=マルチメディア・システム・セレクタ
+Name[ko]=멀티미디어 시스템 선택기
+Name[lt]=Multimedijos sistemų konfigūravimas
+Name[lv]=Multimediju sistēmas izvēlētājs
+Name[mg]=Mpisafidy rafitra haino amamn-jery
+Name[mk]=Избирач на системот за мултимедија
+Name[mn]=Мултимедиа систем тэмдэглэгч
+Name[mr]=मल्टीमीडिया प्रणाली निवडकर्ता
+Name[ms]=Pemilih Sistem Multimedia
+Name[nb]=Valg av multimediesystem
+Name[ne]=मल्टिमिडिया प्रणालीहरू चयनकर्ता
+Name[nl]=Multimediasystemen selecteren
+Name[nn]=Multimediasystem-veljar
+Name[or]=ବହୁମାଧ୍ଯମ ତନ୍ତ୍ର ଚୟକ
+Name[pa]=ਮਲਟੀਮੀਡਿਆ ਸਿਸਟਮ ਚੋਣਕਾਰ
+Name[pl]=Wybór systemów multimediów
+Name[pt]=Selector de Sistemas Multimédia
+Name[pt_BR]=Seletor de Sistemas Multimídia
+Name[ro]=Selector sisteme multimedia
+Name[ru]=Выбор мультимедийной системы
+Name[sk]=Výber systému multimédií
+Name[sl]=Izbirnik večpredstavnih sistemov
+Name[sq]=Zgjedhësi i Sistemeve Multimedialë
+Name[sr]=Избирач мултимедијалног система
+Name[sr@Latn]=Izbirač multimedijalnog sistema
+Name[sv]=Väljare för multimediasystem
+Name[ta]=மல்டிமிடியா அமைப்பு தேர்ந்தெடுக்கப்பட்டது
+Name[th]=เลือกระบบสื่อผสม
+Name[tr]=Çokluortam Sistemleri Seçicisi
+Name[uk]=Вибір мультимедійної системи
+Name[vi]=Bộ chọn hệ thống đa phương tiện
+Name[xh]=IsiXhobo sokuKhetha iiNkqubo zoSasazo ngeendlela ezininzi
+Name[zh_CN]=多媒体系统选择器
+Name[zh_HK]=多媒體系統選擇器
+Name[zh_TW]=多媒體系統選擇器
+Comment=Configure defaults for GStreamer applications
+Comment[ar]=إعداد إفتراض تطبيقات جستريمر
+Comment[az]=GStreamer proqramları üçün əsasları quraşdır
+Comment[be]=Наладзіць прадвызначаныя значэньні для дастасаваньняў GStreamer
+Comment[bg]=Настройки по подразбиране за програмите основани на GStreamer
+Comment[bn]=জীস্ট্রিমারের অ্যাপ্লিকেশনসমূহের জন্য ডিফল্ট মান কনফিগার করুন
+Comment[bn_IN]=জীস্ট্রিমারের অ্যাপ্লিকেশনসমূহের জন্য ডিফল্ট মান কনফিগার করুন
+Comment[bs]=Postavi uobičajene postavkeza GStreamer program
+Comment[ca]=Configura els valors predeterminats per a les aplicacions GStreamer
+Comment[cs]=Nastavit implicitní hodnoty pro aplikace GStreamer
+Comment[cy]=Cyflunio rhagosodiadau ar gyfer rhaglenni GStreamer
+Comment[da]=Konfigurér forvalgte værdier for GStreamer-programmer
+Comment[de]=Die Vorgaben für GStreamer-Anwendungen festlegen
+Comment[dz]=ཇི་སི་ཊི་མར་གྱི་ གློག་རིམ་དོན་ལུ་ སྔོན་སྒྲིག་རིམ་སྒྲིག་འབད།
+Comment[el]=Ρύθμιση προεπιλεγμένων επιλογών για εφαρμογές GStreamer
+Comment[en_CA]=Configure defaults for GStreamer applications
+Comment[en_GB]=Configure defaults for GStreamer applications
+Comment[es]=Configurar predeterminados para aplicaciones Gstreamer
+Comment[et]=GStreamer rakenduste vaikeseadete määramine
+Comment[eu]=Konfiguratu GStreamer-en aplikazioen lehenespenak
+Comment[fa]=پیکربندی پیش‌فرض‌ها برای برنامه‌های GStreamer
+Comment[fi]=Aseta GStreamer-sovellusten oletusarvot
+Comment[fr]=Configure les valeurs par défaut pour les applications GStreamer
+Comment[gl]=Configurar predeterminados para aplicacións GStreamer
+Comment[gu]=GStreamer કાર્યક્રમો માટે મૂળભુત રૂપરેખાંકન કરો
+Comment[he]=הגדר ברירות מחדל ליישומי GStreamer
+Comment[hi]=जी-स्ट्रीमर अनुप्रयोगों हेतु डिफ़ॉल्ट्स कॉन्फ़िगर करें 
+Comment[hr]=Postavi uobičajena podešavanja za GStrimer aplikacije
+Comment[hu]=A GStreamer-alkalmazások alapbeállításainak módosítása
+Comment[id]=Konfigurasikan nilai awal pada aplikasi GStreamer
+Comment[it]=Configurazione delle impostazioni predefinite per le applicazioni GStreamer
+Comment[ja]=GStreamer を使用するアプリのデフォルト値を設定します
+Comment[ko]=GStreamer 프로그램의 기본값을 설정합니다
+Comment[ku]=Ji bo sepanên GStremar mîhengên standard veava bike
+Comment[lt]=Keisti numatytuosius GStreamer programų nustatymus
+Comment[lv]=Konfigurācijas noklusējumi GStreamer aplikācijām
+Comment[mg]=Manefy ny sanda tsotran'ny rindranasa GStreamer
+Comment[mk]=Постави ги стандардните параметри за апликациите GStreamer
+Comment[mn]=GStreamer програмуудын анхдагч утгыг тогтоох
+Comment[ms]=Konfigurasi default bagi aplikasi GStreamer
+Comment[nb]=Konfigurer forvalgte verdier for GStreamer-programmer
+Comment[ne]=जीस्ट्रिमर कार्यक्रमहरूका लागि पूर्वनिर्धारणहरू कन्फिगरेसन गर्नुहोस्
+Comment[nl]=Standaardinstellingen configureren voor GStreamer-toepassingen
+Comment[nn]=Set opp standardverdiar for GStreamer-program
+Comment[or]=ଜିସ୍ଟ୍ରୀମର ଅନୁପ୍ରୟୋଗଗୁଡ଼ିକ ପାଇଁ ପୂର୍ବନିର୍ଦ୍ଧାରିତ ମୂଲ୍ଯ ବିନ୍ଯାସ କରନ୍ତୁ
+Comment[pa]=GStreamer ਕਾਰਜਾਂ ਲਈ ਸੰਰਚਨਾ ਮੂਲ
+Comment[pl]=Domyślne ustawienia aplikacji opartych na podsystemie GStreamer
+Comment[pt]=Configurar omissões para as aplicações GStreamer
+Comment[pt_BR]=Configure padrões para aplicações GStreamer
+Comment[ro]=Configurează setările implicite pentru aplicaţiile GStreamer
+Comment[ru]=Настройка приложений GStreamer по умолчанию
+Comment[sk]=Štandardné nastavenie pre aplikácie GStreamer
+Comment[sl]=Privzete nastavitve za programe GStreamer
+Comment[sq]=Sjellja e paracaktuar për aplikativët GStreamer
+Comment[sr]=Постави уобичајена подешавања за ГСтример програме
+Comment[sr@Latn]=Postavi uobičajena podešavanja za GStrimer programe
+Comment[sv]=Konfigurera standardalternativ för GStreamer-program
+Comment[ta]=Gஉள்ளமை
+Comment[th]=กำหนดค่าปริยายสำหรับโปรแกรม GStreamer
+Comment[tr]=GStreamer uygulamaları için öntanımlı ayarları yapılandır
+Comment[uk]=Налаштовування параметрів програм GStreamer
+Comment[vi]=Cấu hình mặc định cho các ứng dụng GStreamer
+Comment[xh]=Ukwakha imimiselo yenkqubo yeGStreamer
+Comment[zh_CN]=配置 GStreamer 应用程序的默认值
+Comment[zh_HK]=修改 GStreamer 應用程式的預設設定
+Comment[zh_TW]=修改 GStreamer 應用程式的預設設定
+Exec=gstreamer-properties
+Icon=gstreamer-properties.png
+StartupNotify=true
+Terminal=false
+NoDisplay=true
+Type=Application
+Categories=GNOME;GTK;Settings;HardwareSettings;
+X-GNOME-Bugzilla-Bugzilla=GNOME
+X-GNOME-Bugzilla-Product=gnome-media
+X-GNOME-Bugzilla-Component=gstreamer-properties
+X-GNOME-Bugzilla-Version=2.18.0

=== added file 'test/data/desktop/gstreamer-schoedinger.desktop'
--- test/data/desktop/gstreamer-schoedinger.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gstreamer-schoedinger.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Comment=Codecs to play Dirac video streams
+Name=GStreamer Dirac video plugin
+Encoding=UTF-8
+Terminal=false
+Type=Application
+Categories=GNOME;Application;Multimedia;AudioVideo;
+X-AppInstall-Package=gstreamer0.10-schroedinger
+X-AppInstall-Popcon=0
+X-AppInstall-Section=main
+X-AppInstall-Codecs=0.10:element-schrotoy;0.10:encoder-video/x-dirac;0.10:decoder-video/x-dirac;0.10:element-schrodec;0.10:element-schroenc;0.10:element-schroparse

=== added file 'test/data/desktop/gstreamer-ugly.desktop'
--- test/data/desktop/gstreamer-ugly.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/gstreamer-ugly.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Comment=Codecs to play mp3, sid, mpeg1, mpeg2, AC-3, DVD (without encryption)
+Name=GStreamer extra plugins
+Encoding=UTF-8
+Terminal=false
+Type=Application
+Categories=GNOME;Application;Multimedia;AudioVideo
+X-AppInstall-Package=gstreamer0.10-plugins-ugly
+X-AppInstall-Popcon=233
+X-AppInstall-Section=main
+X-AppInstall-Codecs=0.10:element-mpegdemux;0.10:decoder-video/x-dvd-subpicture;0.10:encoder-application/x-id3;0.10:element-dvdlpcmdec;0.10:element-asfdemux;0.10:decoder-video/x-ms-asf;0.10:decoder-video/mpeg, mpegversion=(int)[ 1, 2 ], systemstream=(boolean)false;0.10:element-rdtdepay;0.10:element-ac3iec958;0.10:element-a52dec;0.10:decoder-audio/x-private1-lpcm;0.10:element-mpegparse;0.10:decoder-audio/x-private1-ac3;0.10:encoder-audio/x-iec958;0.10:decoder-video/mpeg, mpegversion=(int){ 1, 2 }, systemstream=(boolean)true;0.10:decoder-audio/x-ac3;0.10:element-dvddemux;0.10:encoder-audio/x-raw-int, endianness=(int)4321, signed=(boolean)true;0.10:decoder-audio/x-lpcm, dynamic_range=(int)[ 0, 255 ], emphasis=(boolean){ true, false }, mute=(boolean){ true, false };0.10:decoder-audio/mpeg, mpegversion=(int)1;0.10:element-mad;0.10:decoder-application/vnd.rn-realmedia;0.10:element-mp3parse;0.10:element-mpeg2dec;0.10:decoder-video/mpeg, mpegversion=(int)2, systemstream=(boolean)true;0.10:decoder-audio/ac3;0.10:element-id3mux;0.10:urisource-dvd;0.10:decoder-audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ];0.10:decoder-video/mpeg, mpegversion=(int)[ 1, 2 ], systemstream=(boolean)true;0.10:element-dvdsubdec;0.10:element-dvdreadsrc;0.10:decoder-application/x-rdt, media=(string)application, encoding-name=(string)x-real-rdt;0.10:element-rmdemux

=== added file 'test/data/desktop/synaptic.desktop'
--- test/data/desktop/synaptic.desktop	1970-01-01 00:00:00 +0000
+++ test/data/desktop/synaptic.desktop	2007-08-13 08:45:35 +0000
@@ -0,0 +1,126 @@
+[Desktop Entry]
+X-AppInstall-Package=synaptic
+X-AppInstall-Popcon=13328
+X-AppInstall-Section=main
+
+Name=Synaptic Package Manager
+Name[ar]=مدير الحزم Synaptic
+Name[be]=Кіраўнік пакетаў Synaptic
+Name[bg]=Мениджър на пакети (Synaptic)
+Name[ca]=Gestor de paquets Synaptic
+Name[cs]=Synaptic - GUI pro APT, manažer instalačních balíčků
+Name[da]=Synaptic - pakkehåndtering
+Name[de]=Synaptic-Paketverwaltung
+Name[el]=Synaptic Package Manager
+Name[es]=Gestor de Paquetes Synaptic
+Name[eu]=Synaptic pakete-kudeatzailea
+Name[fi]=Synaptic-pakettienhallinta
+Name[fr]=Gestionnaire de paquets Synaptic
+Name[gl]=Xestor de paquetes Synaptic
+Name[he]=מנהל החבילות Synaptic
+Name[hi]=सिनेप्टिक पैकेज प्रबन्धक
+Name[hu]=Synaptic csomagkezelő
+Name[it]=Gestore pacchetti Synaptic
+Name[ja]=Synaptic パッケージマネージャ
+Name[ko]=시냅틱 꾸러미 관리자
+Name[lt]=Paketų tvarkyklė Synaptic
+Name[mk]=Менаџер за пакети - Синаптик
+Name[nl]=Synaptic pakketbeheer
+Name[no]=Synaptic Pakkeadministrasjon
+Name[pl]=Synaptic Menedżer Pakietów
+Name[pt]=Gestor de Pacotes Synaptic
+Name[pt_BR]=Gerenciador de Pacotes Synaptic
+Name[ro]=Administratorul de pachete Synaptic
+Name[ru]=Программа управления пакетами Synaptic
+Name[sl]=Upravitelj paketov Synaptic
+Name[sr]=Управник пакета „Synaptic“
+Name[sr@Latn]=Upravnik paketa „Synaptic“
+Name[sv]=Pakethanteraren Synaptic
+Name[th]=ตัวจัดการแพกเกจ Synaptic
+Name[tr]=Synaptic Paket Yöneticisi
+Name[xh]=UMlawuli woMqulu we-Synaptic
+Name[zh_CN]=新立得软件包管理器
+Name[zh_TW]=Synaptic 套件管理程式
+GenericName=Package Manager
+GenericName[ar]=مدير الحزم
+GenericName[be]=Кіраўнік пакетамі
+GenericName[bg]=Мениджър на пакети
+GenericName[ca]=Gestor de paquets
+GenericName[cs]=Manažer balíčků
+GenericName[da]=Pakkehåndteringsprogram
+GenericName[de]=Paketverwaltung
+GenericName[el]=Διαχείριση πακέτων
+GenericName[es]=Gestor de paquetes
+GenericName[eu]=Pakete-kudeatzailea
+GenericName[fi]=Pakettienhallinta
+GenericName[fr]=Gestionnaire de paquets
+GenericName[gl]=Xestor de paquetes
+GenericName[he]=מנהל חבילות
+GenericName[hi]=पैकेज प्रबन्धक
+GenericName[hu]=Csomagkezelő
+GenericName[it]=Gestore pacchetti
+GenericName[ja]=パッケージマネージャ
+GenericName[ko]=꾸러미 관리자
+GenericName[lt]=Paketų tvarkyklė
+GenericName[mk]=Менаџер за пакети
+GenericName[nl]=Pakketbeheer
+GenericName[pl]=Menedżer pakietów
+GenericName[pt]=Gestor de Pacotes
+GenericName[pt_BR]=Geranciador de Pacotes
+GenericName[ro]=Administrator de pachete
+GenericName[ru]=Менеджер пакетов
+GenericName[sl]=Upravitelj paketov
+GenericName[sr]=Управник пакета
+GenericName[sr@Latn]=Upravnik paketa
+GenericName[sv]=Pakethanterare
+GenericName[th]=ตัวจัดการแพกเกจ
+GenericName[tr]=Paket Yöneticisi
+GenericName[xh]=UMlawuli woMqulu
+GenericName[zh_CN]=软件包管理器
+GenericName[zh_TW]=套件管理程式
+Comment=Install, remove and upgrade software packages
+Comment[ar]=ثبّت، أزل وحدّث حزم البرامج
+Comment[be]=Усталёўвае, выдаляе і абнаўляе пакеты
+Comment[bg]=Инсталиране, премахване и актуализиране на софтуерни пакети
+Comment[ca]=Instal·la, elimina i actualitza paquets de programari
+Comment[cs]=Instalovat, odebrat a zaktualizovat balíčky
+Comment[da]=Installér, fjern og opgradér softwarepakker
+Comment[de]=Software-Pakete installieren, entfernen und aktualisieren
+Comment[el]=Εγκατάσταση, απομάκρυνση και αναβάθμιση πακέτων λογισμικού
+Comment[es]=Instalar, eliminar y actualizar los paquetes de software
+Comment[eu]=Instalatu, kendu eta bertsio-berritu software-paketeak
+Comment[fi]=Asenna, poista ja päivitä ohjelmsistopaketteja
+Comment[fr]=Installer, désinstaller et mettre à jour les paquets de logiciels
+Comment[gl]=Instalar, eliminar e actualizar os paquetes de software
+Comment[he]=התקנה, הסרה ושדרוג חבילות תכנה
+Comment[hi]=सॉफ्टवेयर पैकेजों की स्थापना, अद्यतन करें या उन्हें हटाएं.
+Comment[hu]=Csomagokat telepít, töröl és frissít
+Comment[it]=Installa, rimuove e aggiorna i pacchetti software
+Comment[ja]=ソフトウエアパッケージのインストール、削除またはアップグレード
+Comment[ko]=소프트웨어 꾸러미를 설치, 지우기, 업그레이드
+Comment[lt]=Įdiekite, šalinkite ir atnaujinkite programų paketus
+Comment[mk]=Инсталирајте, отстранете или надградете софтверски пакети
+Comment[nl]=Softwarepakketten installeren, verwijderen of bijwerken
+Comment[no]=Installer, fjern eller oppgrader programvare pakker
+Comment[pl]=Instalacja, usuwanie i aktualizacja pakietów z oprogramowaniem
+Comment[pt]=Instalar, remover e actualizar pacotes
+Comment[pt_BR]=Instalar, remover e atualizar pacotes
+Comment[ro]=Instalează, dezinstalează şi actualizează pachete software
+Comment[ru]=Установить, удалить и обновить пакеты
+Comment[sl]=Namesti, odstrani in nadgradi programske pakete
+Comment[sr]=Инсталирај, уклони и надогради софтверске пакете
+Comment[sr@Latn]=Instaliraj, ukloni i nadogradi softverske pakete
+Comment[sv]=Installera, ta bort och uppgradera programvarupaket
+Comment[th]=แพกเกจซอฟต์แวร์ที่ถูกติดตั้ง อัพเกรดและเอาออก
+Comment[tr]=Paketleri kur, kaldır ya da yükselt
+Comment[xh]=Faka, susa uze uphucule imiqulu yesoftware
+Comment[zh_CN]=安装，删除和升级软件包
+Comment[zh_TW]=安裝、移除及升級套件
+Exec=gksu -u root /usr/sbin/synaptic
+Icon=synaptic.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Encoding=UTF-8
+Categories=PackageManager;Applications;GTK;System;
+NotShowIn=KDE

=== added file 'test/testAppInstall.py'
--- test/testAppInstall.py	1970-01-01 00:00:00 +0000
+++ test/testAppInstall.py	2007-08-13 08:45:35 +0000
@@ -0,0 +1,44 @@
+#!/usr/bin/python
+
+import sys
+sys.path.insert(0, '../')
+
+import unittest
+from AppInstall.activation import ActivationStyle
+from AppInstall.update import *
+from AppInstall.AppInstall import AppInstall as App
+
+import gobject
+import gtk
+
+class FakeOptions(object):
+    def __init__(self):
+        self.datadir = "data"
+        self.desktopdir = "test/data"
+        self.cachedir = "test/data/cache"
+        self.transient_for = None
+        self.addon_cd = None
+        self.mime_type = None
+        self.test_mode = True
+
+class TestAppCache(unittest.TestCase):
+    def testUpdate(self):
+        options = FakeOptions()
+        generate_menu_cache(options.desktopdir, options.cachedir)
+        generate_mime_map(options.desktopdir, options.cachedir)
+
+class TestAppInstall(unittest.TestCase):
+    def setUp(self):
+        options = FakeOptions()
+        style = ActivationStyle()
+        style.preRun()
+        self.app = App(options, style)
+    def testRun(self):
+        gobject.timeout_add(100, gtk.main_quit)
+        self.app.run()
+    def tearDown(self):
+        self.app.window_main.destroy()
+        del(self.app)
+
+if __name__ == '__main__':
+    unittest.main()

=== modified file 'test/testCodecSearch.py' (properties changed: +x to -x)
--- tests/testCodecSearch.py	2007-08-08 18:41:29 +0000
+++ test/testCodecSearch.py	2007-08-13 08:45:35 +0000
@@ -3,34 +3,47 @@
 import sys
 sys.path.insert(0, '../')
 
+import gobject
+import gtk
 import unittest
 from AppInstall.activation import *
 from AppInstall.AppInstall import AppInstall
-        
+
 class FakeOptions(object):
     def __init__(self):
-        self.datadir = "/usr/share/gnome-app-install"
-        self.desktopdir = "/usr/share/app-install"
-        self.cachedir = "/var/cache/app-install"
+        self.datadir = "data/"
+        self.desktopdir = "test/data/desktop"
+        self.cachedir = "test/data/cache"
         self.transient_for = None
         self.addon_cd = None
+        self.mime_type = "text/plain"
+        self.test_mode = True
 
 class TestCodecSearch(unittest.TestCase):
-    
-    def testCodecSearch(self):
+    def setUp(self):
         options = FakeOptions()
-        args = ['gstreamer|0.10|<unknown>|MPEG-1 Layer 3 (MP3) decoder|decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3']
-	#args = ['gstreamer|0.10|<unknown>|Flash Video decoder|decoder-video/x-flash-video, flvversion=(int)1']
+        args = ['gstreamer|0.10|<unknown>|MPEG-1 Layer 3 (MP3) decoder|'
+                'decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3']
+        #args = ['gstreamer|0.10|<unknown>|Flash Video decoder|'
+        #       'decoder-video/x-flash-video, flvversion=(int)1']
         style = CodecSearchActivationStyle(options, args)
         style.isInstallerOnly = False
         style._parseArgs()
-        app = AppInstall(options, style)
-        model = app.menu.treeview_packages.get_model()
+        self.app = AppInstall(options, style)
+
+    def testHasItems(self):
+        model = self.app.menu.treeview_packages.get_model()
         self.assert_(len(model) > 0,
                      "no codecs found")
-        #for it in model:
-        #    print it[1].pkgname
-        
+
+    def testRun(self):
+        gobject.timeout_add(100, gtk.main_quit)
+        self.app.run()
+
+    def tearDown(self):
+        self.app.window_main.destroy()
+        del(self.app)
+
 if __name__ == '__main__':
     unittest.main()
 

=== modified file 'test/testMimeSearch.py'
--- tests/testMimeSearch.py	2007-08-08 13:37:37 +0000
+++ test/testMimeSearch.py	2007-08-13 08:45:35 +0000
@@ -3,31 +3,43 @@
 import sys
 sys.path.insert(0, '../')
 
+import gobject
+import gtk
 import unittest
 from AppInstall.activation import *
 from AppInstall.AppInstall import AppInstall
-        
+
 class FakeOptions(object):
     def __init__(self):
-        self.datadir = "/usr/share/gnome-app-install"
-        self.desktopdir = "/usr/share/app-install"
-        self.cachedir = "/var/cache/app-install"
+        self.datadir = "data/"
+        self.desktopdir = "test/data/desktop"
+        self.cachedir = "test/data/cache"
         self.transient_for = None
         self.addon_cd = None
-        self.mime_type = "text/html"
+        self.mime_type = "text/plain"
+        self.test_mode = True
 
 class TestMimeSearch(unittest.TestCase):
-    
-    def testMimeSearch(self):
+    def setUp(self):
         options = FakeOptions()
-	uri = "file:/etc/fstab"
+        uri = "file:/etc/fstab"
         style = MimeSearchActivationStyle(options, uri, uri)
         style.isInstallerOnly = False
         style.preRun()
-        app = AppInstall(options, style)
-        self.assert_(len(app.menu.treeview_packages.get_model()) > 0,
+        self.app = AppInstall(options, style)
+
+    def testHasItems(self):
+       self.assert_(len(self.app.menu.treeview_packages.get_model()) > 0,
                      "no mime-data found")
 
+    def testRun(self):
+        gobject.timeout_add(100, gtk.main_quit)
+        self.app.run()
+
+    def tearDown(self):
+        self.app.window_main.destroy()
+        del(self.app)
+
 if __name__ == '__main__':
     unittest.main()
 

